org.eclipse.wst.jsdt.chromium

## Class JavascriptVmFactory

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.JavascriptVmFactory

    public abstract class JavascriptVmFactory
    extends java.lang.Object

A factory for `JavascriptVm` instances. Note that `WipBrowser` instances are created in a specialized class `WipBrowserFactory`.

### Constructor Summary

Constructors
Constructor and Description
`JavascriptVmFactory()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract StandaloneVm` `createStandalone(java.net.SocketAddress socketAddress, ConnectionLogger connectionLogger)` Constructs StandaloneVm instance that talks to a V8 JavaScript VM via DebuggerAgent opened at `socketAddress`.
`static JavascriptVmFactory` `getInstance()` Gets a `JavascriptVmFactory` instance.
`static java.util.logging.Logger` `getRootLogger()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavascriptVmFactory

    public JavascriptVmFactory()

### Method Detail

#### getInstance

    public static JavascriptVmFactory getInstance()

Gets a `JavascriptVmFactory` instance. This method should be overridden by implementations that want to construct other implementations of `Browser`.

Returns:
  a `JavascriptVmFactory` singleton instance

#### createStandalone

    public abstract StandaloneVm createStandalone(java.net.SocketAddress socketAddress,
                                                  ConnectionLogger connectionLogger)

Constructs StandaloneVm instance that talks to a V8 JavaScript VM via DebuggerAgent opened at `socketAddress`.

Parameters:
  `socketAddress` - V8 DebuggerAgent is listening on
  `connectionLogger` - provides facility for listening to network traffic; may be null

#### getRootLogger

    public static java.util.logging.Logger getRootLogger()

Returns:
  SDK root logger that can be used to add handlers or to adjust log level